#include <iostream>
using namespace std;
int main()
{
    long long h,w;
    cin>>h>>w;
    long long S = h-1;
    for (int i=h;i>=1;i--)
    {
        S+= i;
    }
    long long sum=0;
    for(int i=w;i>1;i--)
    {
        sum+=i;
    }
    cout<<S * w + h*sum;
}
